How to upgrade nvdsanalytics from 5.0.0 to 5.0.1?

• Hardware Platform: Jetson NX
• DeepStream Version: 5.0.0
• JetPack Version: 4.4

I wish to use the apps that working with deepstream 5.0.0, I’m able use the 5.0.0 nvdsanalytics, however, it seems like the analytics performance not very good, I wish to use the new 5.0.1 extended and mode option, I tried to replace the libnvdsgst_dsanalytics.so with the new 5.0.1, however it shows the following errors. Does anyone can help? I don’t like to change my source code which because it already running very well with less bugs. Does anyone can provide specific plugins upgrade guide or something?

terminate called after throwing an instance of 'std::bad_alloc'
  what():  std::bad_alloc
Aborted (core dumped)

Hi @cheesiangleow5284,
please refer to https://docs.nvidia.com/metropolis/deepstream/dev-guide/text/DS_Quickstart.html#remove-all-previous-deepstream-installations to uninstall DS 5.0, and refer to https://docs.nvidia.com/metropolis/deepstream/dev-guide/text/DS_Quickstart.html#id3 to install DS5.0.1

Thanks!